<template>
    <div class="shop-tab-container">
        <div class="row mb-3">
            <div class="col-md-6">
                <div>Shop URL</div>
                <b-form-input disabled v-model="info.site_url" />
            </div>
            <div class="col-md-6">
                <div>Company Name</div>
                <b-form-input v-model="info.site_name" />
            </div>
        </div>
        <div class="row mb-3">
            <div class="col-md-6">
                <div>Email</div>
                <b-form-input v-model="info.email" />
            </div>
            <div class="col-md-6">
                <div>Trial Days</div>
                <b-form-input disabled v-model="info.trial_days" />
            </div>
        </div>
        <div class="row mb-4">
            <div class="col-md-4">
                <div>Currency</div>
                <b-form-input disabled v-model="info.payment_currency" />
            </div>
            <div class="col-md-4">
                <div>App Installed</div>
                <b-select
                    disabled
                    v-model="info.app_installed"
                    class="form-control"
                    style="background-color: white"
                >
                    <option
                        v-for="(select, index) in selectInstall"
                        :key="index"
                        :value="select.value"
                    >
                        {{ select.title }}
                    </option>
                </b-select>
            </div>
            <div class="col-md-4">
                <div>Status</div>
                <b-select
                    v-model="info.status"
                    class="form-control"
                    style="background-color: white"
                >
                    <option
                        v-for="(select, index) in selectStatus"
                        :key="index"
                        :value="select.value"
                    >
                        {{ select.title }}
                    </option>
                </b-select>
            </div>
        </div>
        <div class="mb-3">
            <div class="mb-2">
                <strong>Plan: </strong>{{info.plan}}
            </div>
            <div class="mb-2">
                <strong>SMS Balance: </strong>${{parseFloat(info.sms_balance).toFixed(2)}}
            </div>
            <div class="mb-2">
                <strong>Shop Created: </strong>{{ info.app_installed_at }}
            </div>
            <div>
                <strong>Shop Updated: </strong> {{ $formatter.dateFormat(info.updated_at, 'YYYY-MM-DD hh:mm:ss') }}
            </div>
        </div>
        <button
            type="button"
            class="btn blue-btn"
            @click="updateShop"
        >
            Update
        </button>
    </div>
</template>

<script>
import shop from '../../../mixins/admin/shops.service'

export default {
    name: "GeneralInfoTab",
    mixins: [shop],
    props: ['info', 'message'],
    data() {
        return {
            selectInstall: [
                {
                    title: 'Yes',
                    value: true
                },
                {
                    title: 'No',
                    value: false
                }
            ],
            selectStatus: [
                {
                    title: 'Active',
                    value: true
                },
                {
                    title: 'Blocked',
                    value: false
                }
            ]
        }
    },
    created() {

    },
    methods: {
        async updateShop() {
            await this.update(this.info.id, this.info).then(response => {
                this.message.status = true
                this.message.message = response.data.message
            })
        }
    }
}
</script>

<style scoped>

.shop-tab-container {
    margin-top: 20px;
}

</style>
